summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomáš Mózes <hydrapolic@gmail.com>2021-04-30 21:19:59 +0000
committerThomas Deutschmann <whissi@gentoo.org>2021-05-11 17:47:34 +0200
commitc65db4894ec343fd2b3862fba9fdb1ab7e0b3193 (patch)
tree2f9d8e7510e529d1471d5c76589aa0e7e03a4604 /app-emulation/xen-tools
parentapp-emulation/xen: drop old (diff)
downloadgentoo-c65db4894ec343fd2b3862fba9fdb1ab7e0b3193.tar.gz
gentoo-c65db4894ec343fd2b3862fba9fdb1ab7e0b3193.tar.bz2
gentoo-c65db4894ec343fd2b3862fba9fdb1ab7e0b3193.zip
app-emulation/xen-tools: drop old
Closes: https://bugs.gentoo.org/782967 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/20621 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'app-emulation/xen-tools')
-rw-r--r--app-emulation/xen-tools/Manifest8
-rw-r--r--app-emulation/xen-tools/files/gentoo-patches.conf20
-rw-r--r--app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild512
-rw-r--r--app-emulation/xen-tools/xen-tools-4.13.2-r3.ebuild512
-rw-r--r--app-emulation/xen-tools/xen-tools-4.13.2-r4.ebuild520
-rw-r--r--app-emulation/xen-tools/xen-tools-4.14.1-r1.ebuild512
-rw-r--r--app-emulation/xen-tools/xen-tools-4.14.1-r2.ebuild520
-rw-r--r--app-emulation/xen-tools/xen-tools-4.14.1.ebuild512
8 files changed, 0 insertions, 3116 deletions
diff --git a/app-emulation/xen-tools/Manifest b/app-emulation/xen-tools/Manifest
index c0c303ec2d7..226f4de1694 100644
--- a/app-emulation/xen-tools/Manifest
+++ b/app-emulation/xen-tools/Manifest
@@ -5,18 +5,10 @@ DIST edk2-06dc822d045c2bb42e497487935485302486e151.tar.gz 13192042 BLAKE2B 81afa
DIST ipxe-git-1dd56dbd11082fb622c2ed21cfaced4f47d798a6.tar.gz 3810726 BLAKE2B b95266ec7fcee5c27065ba999b023ded9eb42a3690555e626911493f1dc995927fa67071bdc6432b3995df82134f8c49ea0d72eaf407f455dd1e2675d5b8d844 SHA512 8120696ba6d79fd9189664deed9b0489825d8d1edf7b931023b3979b7b9f82248e5b808c4517036cd40a85442ddf51a8dcad3b05d7f3c3cc6650654d53da4050
DIST ipxe-git-988d2c13cdf0f0b4140685af35ced70ac5b3283c.tar.gz 3931642 BLAKE2B bf0b5d9ea1d44803bc5c4aa0bf9188636e292b226ab759f32e3c2bfa3f80dd3f546526b9a11c1f67193793ede5309bfa67bdce80aba62ccca54597dc6e7e4ba4 SHA512 0a63f83c9135d05c6bfe7c4d12da3ff76271e35305a4d5654bd5aefa9ee59f5363546c65820c42133deb0fb5a0a0bcaa9b1c48396f9f996acea0d492a5f03f33
DIST seabios-1.12.1.tar.gz 613450 BLAKE2B cb926b650c41a9962db407945cb5b6558079b061bd61f32ea56aedf0d37a00d10ad4434acbe717ffbc0dd1d1c0767304af8e640a53b0fc3784969dfa1590f681 SHA512 58755ce842adcb99c0f2f3ebbf9ec6d4a5072753966ab46805a96db1570847b109a90e6e03d61f9088ef877ca8ba96a8006777dc38ec434fce6b487f6c1f91d0
-DIST seabios-1.13.0.tar.gz 620952 BLAKE2B 460a7dd2b2775b981bbd890ed0a50fe905794c68b0b895799667dd1378bb84125712330c2f6945112709d42cfb7b01196c7fff99051e44b6211d47d19531cfae SHA512 7f158badf7deecc2998eab2a08f3615dfe5a7c0a51323f7b4568a4d1280935bc32bb466c8226d87d2ca7e13f9f117ff0092befcc0699bc31c5018e84754e8393
DIST seabios-1.14.0.tar.gz 628985 BLAKE2B cc1126925dab1551a655680d20d06ebf28c12c386500d1ee4df9e1a99403b4c5bc6a66c2cc5ef58b4c3d6d7226f35007506a6a1855c2cf2742469dcb7aba05bb SHA512 215c42f59425f8abd062be7b11fc0e39c977cee5001a2381551b0f851ac337d0dd53c065267e6dee0e710ffd700fa635f9007b89da8dfce0f47122c984ee8146
-DIST xen-4.13.2-upstream-patches-2.tar.xz 58992 BLAKE2B 535d67ae6a30e23feb975172a9e4abd6d7feb6c8c969aa243fdf672ed6580fe46bf57ea5530eab70457e22af9163f95061fdf97d10faa3be9f4c92033187c950 SHA512 6b6cdf72d13c0e595be65e3107c0f68299e932b74d4a1c4d59bfe3be8b76840c47f6adeaddd0efac71d5158cee8d778a0be863eea8f032cb9acf4191f629d8ae
-DIST xen-4.13.2-upstream-patches-6.tar.xz 80980 BLAKE2B a20643c4f89f197e4001c0181249bc1a22b60874bc077ba2abee716b8e64bbbea0885a64632f3120960425a741328ceba1b44dc10a7a24039b328e1ded28f752 SHA512 0b097dfb04404ec6c609d35d924b3d2306c5f2de0501aa0b8e007e0af9a4ef394fae2d736435401bf8bd1fd661171c71ba712585bdb195649e3350ef9f953115
-DIST xen-4.13.2.tar.gz 39037826 BLAKE2B ad2b7c3003ca29e5e60a85c581f706ef87d99eadf939ed36ebe8f6698582f7a29dbdaf502039b60a0afe7ad4ae6ce89713e69dc8b8a7d5abe65063da7f1baa5b SHA512 cd3092281c97e9421e303aa288aac04dcccd5536ba7c0ff4d51fbf3d07b5ffacfe3456ba06f5cf63577dafbf8cf3a5d9825ceb5e9ef8ca1427900cc3e57b50a3
DIST xen-4.13.3.tar.gz 39044539 BLAKE2B 5d0e57c76e12e1b86b78bbf561e947d70b9569a24412617a640346d2358b141a2741e7a3be454df52d198ad63e58b1519288de62330417c70e72445703f3fac2 SHA512 622127d824b9c49b57282a887fb404e0bad05ff60bccade82e4e0e9b5ad975ff9aa1fba83392e6d8379e9a15340e8ae9785c0913eb11027816e4600432eea6b6
-DIST xen-4.14.1-upstream-patches-3.tar.xz 27864 BLAKE2B 69a67e863a30c0079f7955dd5306f69890a4f6db91d4cf2d1806a2bbd8afad88db7789c7eda8da0ff2a945da04916ff4ab5eaa9e529a417112ae01e31151d0dc SHA512 19e5ef39616fffbff20b2f658d61e50e21741fe3c5c4ca89f67e72a1606b3a593f93e9090fb0b5c76c1c801f931c237d2be6329bd174fa911d66b81ad4a332dd
-DIST xen-4.14.1.tar.gz 39970115 BLAKE2B 21e5838b2b4d78420dcaaae2b8fc98ac876230217e6a3764aa643920150b8cef96025663e6a2fc423ab15f7f470b62547e91ce1be0337fc78f00c148c7ff40ab SHA512 c75cbec82793435f5a7026626ffdb2e9a2166b42d2be4b2f1194240e0312458124f0ebd53eeb02ce7330c22afe402a28a96b32f8af66e41e9416fe94535724c9
DIST xen-4.14.2.tar.gz 39973157 BLAKE2B db5d3570f79e0fd97872f5e5dd57a4eb39e005728387bfef3b51fabe1c693cfd8108d09b1026f5a5a7eb79de71be6f4af36d252f7e0b35a65a1567b7949e3e29 SHA512 83c9333b70dbee3e29c6bf08e5ad030676e6c4a32b976f3f5e6a8f8d0dd9e4898bac88dd8e1c9d2ad3509cebb5d212e1745f9392a469d7afeb841d79801ccf39
DIST xen-4.15.0-upstream-patches-0.tar.xz 15744 BLAKE2B e2abb68524a7c190db8d91beb79731aea5290e82f54fb21218739dab666f6f5ea85c203575ec248b46830f1862408d50d3ceea1104fcd9325babfccf3574c515 SHA512 f1a2800d15a61f08eda4d6bafaead95a9d72cc9e4d90a19278d89c696b7e2d5d6353b28dba7ed0eb0c9aeb8604d3697db6a8f4ac38047e2510279d88181752f9
DIST xen-4.15.0.tar.gz 40785399 BLAKE2B 8b0530f5516c39656506f4bb705952da0555a8ab7f47323473b171caeb7692f3107e9d94f13171d40576600064589eed35f4d210af02db4cc4706dd4fc202100 SHA512 93683b8a97387ca5f003c635a11d163e61c87dbdc9a03081f9155fe87b49f1dfa74ce243fcd5e04dc009353a36e2375b786f1ebde828b5951a094cd64197b4c7
DIST xen-gentoo-patches-21.tar.xz 18280 BLAKE2B 95446da72fc16cb82e4e51df8796c64db05a30894a351a98dbd6700ce354c34956ca09a1af98125a4e56c337936e8fae296d806519b8afa23a82b078aa0db8f1 SHA512 3cffac162606a09b10b47dca604f167897e6ac8d153411d3464ef29a7a4d46ac5b92340884cb21279cb2d053b131f1ea5cb2111e3e9a21b3298b5ab3320ee34d
-DIST xen-gentoo-patches-22.tar.xz 18764 BLAKE2B e0da49b39fbc6b689db47e40a4fbb4f6568644fe192b114cce01b0406cba4bf23339ad1bf39b972f895df004916827b6e774f97fc079aeb8ac436763efda5fc3 SHA512 5b7959af4ed30edd2526698ab60a86353e35d9dc48dc941b6df7659a7c4904260461e0decbd8d788542bd69384736f2175861d4943c3738618d20788b19ea9b1
DIST xen-gentoo-patches-23.tar.xz 20536 BLAKE2B 0064f79f8794a21ab13047a4ee296e37efa616e16ca6cd65b31fdafeb458fd9b80f0443758343c8328b1901d7169618346becfe75f16dcaeff08fc975f1d08d5 SHA512 09248e17ff7865feb2a505169d62ee5c8c60bd672fa8c4c7c4e3a2e4af58bfad0379d37b395bab3e3393af8d53d882f56749dfeb560edeea6b7ab56c902a3c49
-DIST xen-security-patches-29.tar.xz 1536 BLAKE2B 7723e9d971a2385f7a4a85dd63412afc41ba20991d15732423f03d0c5455c504ecccec08102edbec0db47ed019c88cc86f4146e080075d829aff03ccded362bc SHA512 eff572fed812c38bc3c014d47b951d3614bfb1255d41a2d35ddcbe9228cf9550aaf867adde0f2365f49d0d4e5229c19a78aa538eb64de7cd3d1ef5f7f0c4a079
diff --git a/app-emulation/xen-tools/files/gentoo-patches.conf b/app-emulation/xen-tools/files/gentoo-patches.conf
index 5ca74f00199..4b1aac4eae6 100644
--- a/app-emulation/xen-tools/files/gentoo-patches.conf
+++ b/app-emulation/xen-tools/files/gentoo-patches.conf
@@ -51,16 +51,6 @@ _gx056=" xen-tools-4.12.2-libxenstat-makefile.patch"
# Fix building with gcc 10, bug #722930
_gx060=" xen-tools-4.13.0-gcc10.patch"
-# xen-tools-4.13.2 patches set (v1)
-_gpv_xen_tools_4132_1="
-${_gx038}
-${_gx027}
-${_gx028} ${_gx029}
-${_gx037}
-${_gx053} ${_gx050} ${_gx051}
-${_gx054} ${_gx056}
-"
-
# xen-tools-4.13.3 patches set
_gpv_xen_tools_4133_0="
${_gx038}
@@ -71,16 +61,6 @@ ${_gx053} ${_gx050} ${_gx051}
${_gx054} ${_gx056}
"
-# xen-tools-4.14.1 patches set
-_gpv_xen_tools_4141_0="
-${_gx039}
-${_gx027}
-${_gx028} ${_gx029}
-${_gx037}
-${_gx053} ${_gx050} ${_gx052}
-${_gx054} ${_gx056}
-"
-
# xen-tools-4.14.2 patches set
_gpv_xen_tools_4142_0="
xen-tools-4.12.0-gcc8.patch
diff --git a/app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild b/app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild
deleted file mode 100644
index 3eb28b92985..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild
+++ /dev/null
@@ -1,512 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="amd64 ~arm ~arm64 x86"
- UPSTREAM_VER=2
- SECURITY_VER=29
- # xen-tools's gentoo patches tarball
- GENTOO_VER=21
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=1
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.12.1"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- >=sys-kernel/linux-headers-4.11
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- dev-lang/perl
- app-misc/pax-utils
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- x11-libs/pixman
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}
diff --git a/app-emulation/xen-tools/xen-tools-4.13.2-r3.ebuild b/app-emulation/xen-tools/xen-tools-4.13.2-r3.ebuild
deleted file mode 100644
index 17e66b73065..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.13.2-r3.ebuild
+++ /dev/null
@@ -1,512 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- UPSTREAM_VER=6
- SECURITY_VER=29
- # xen-tools's gentoo patches tarball
- GENTOO_VER=21
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=1
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.12.1"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- >=sys-kernel/linux-headers-4.11
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- dev-lang/perl
- app-misc/pax-utils
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- x11-libs/pixman
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}
diff --git a/app-emulation/xen-tools/xen-tools-4.13.2-r4.ebuild b/app-emulation/xen-tools/xen-tools-4.13.2-r4.ebuild
deleted file mode 100644
index e7e7510eb1f..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.13.2-r4.ebuild
+++ /dev/null
@@ -1,520 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- UPSTREAM_VER=6
- SECURITY_VER=29
- # xen-tools's gentoo patches tarball
- GENTOO_VER=21
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=1
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.12.1"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- >=sys-kernel/linux-headers-4.11
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- dev-lang/perl
- app-misc/pax-utils
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- x11-libs/pixman
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- # disable jpeg automagic
- sed -e "s:\$\$source/configure:\0 --disable-vnc-jpeg:" \
- -i tools/Makefile || die
-
- # disable png automagic
- sed -e "s:\$\$source/configure:\0 --disable-vnc-png:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}
diff --git a/app-emulation/xen-tools/xen-tools-4.14.1-r1.ebuild b/app-emulation/xen-tools/xen-tools-4.14.1-r1.ebuild
deleted file mode 100644
index 93372ecabe5..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.14.1-r1.ebuild
+++ /dev/null
@@ -1,512 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- UPSTREAM_VER=3
- SECURITY_VER=
- # xen-tools's gentoo patches tarball
- GENTOO_VER=22
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=0
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.13.0"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- app-misc/pax-utils
- dev-lang/perl
- >=sys-kernel/linux-headers-4.11
- x11-libs/pixman
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}
diff --git a/app-emulation/xen-tools/xen-tools-4.14.1-r2.ebuild b/app-emulation/xen-tools/xen-tools-4.14.1-r2.ebuild
deleted file mode 100644
index dfd8b2e0b73..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.14.1-r2.ebuild
+++ /dev/null
@@ -1,520 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- UPSTREAM_VER=3
- SECURITY_VER=
- # xen-tools's gentoo patches tarball
- GENTOO_VER=22
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=0
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.13.0"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- app-misc/pax-utils
- dev-lang/perl
- >=sys-kernel/linux-headers-4.11
- x11-libs/pixman
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- # disable jpeg automagic
- sed -e "s:\$\$source/configure:\0 --disable-vnc-jpeg:" \
- -i tools/Makefile || die
-
- # disable png automagic
- sed -e "s:\$\$source/configure:\0 --disable-vnc-png:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}
diff --git a/app-emulation/xen-tools/xen-tools-4.14.1.ebuild b/app-emulation/xen-tools/xen-tools-4.14.1.ebuild
deleted file mode 100644
index 22eeb91a3f8..00000000000
--- a/app-emulation/xen-tools/xen-tools-4.14.1.ebuild
+++ /dev/null
@@ -1,512 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} )
-PYTHON_REQ_USE='ncurses,xml,threads(+)'
-
-inherit bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs
-
-MY_PV=${PV/_/-}
-
-if [[ ${PV} == *9999 ]]; then
- inherit git-r3
- REPO="xen.git"
- EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
- S="${WORKDIR}/${REPO}"
-else
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
- UPSTREAM_VER=
- SECURITY_VER=
- # xen-tools's gentoo patches tarball
- GENTOO_VER=22
- # xen-tools's gentoo patches version which apply to this specific ebuild
- GENTOO_GPV=0
- # xen-tools ovmf's patches
- OVMF_VER=
-
- SEABIOS_VER="1.13.0"
- EDK2_COMMIT="06dc822d045c2bb42e497487935485302486e151"
- EDK2_OPENSSL_VERSION="1_1_1g"
- EDK2_SOFTFLOAT_COMMIT="b64af41c3276f97f0e181920400ee056b9c88037"
- EDK2_BROTLI_COMMIT="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
- IPXE_COMMIT="1dd56dbd11082fb622c2ed21cfaced4f47d798a6"
-
- [[ -n ${UPSTREAM_VER} ]] && \
- UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
- [[ -n ${SECURITY_VER} ]] && \
- SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-security-patches-${SECURITY_VER}.tar.xz"
- [[ -n ${GENTOO_VER} ]] && \
- GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz
- https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${PN/-tools/}-gentoo-patches-${GENTOO_VER}.tar.xz"
- [[ -n ${OVMF_VER} ]] && \
- OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
-
- SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
- https://github.com/qemu/seabios/archive/rel-${SEABIOS_VER}.tar.gz -> seabios-${SEABIOS_VER}.tar.gz
- ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
- ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
- https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
- https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
- https://github.com/google/brotli/archive/${EDK2_BROTLI_COMMIT}.tar.gz -> brotli-${EDK2_BROTLI_COMMIT}.tar.gz
- ${OVMF_PATCHSET_URI} )
- ${UPSTREAM_PATCHSET_URI}
- ${SECURITY_PATCHSET_URI}
- ${GENTOO_PATCHSET_URI}"
-
- S="${WORKDIR}/xen-${MY_PV}"
-fi
-
-DESCRIPTION="Xen tools including QEMU and xl"
-HOMEPAGE="https://www.xenproject.org"
-DOCS=( README )
-
-LICENSE="GPL-2"
-SLOT="0/$(ver_cut 1-2)"
-# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
-# >=dev-lang/ocaml-4 stable
-# Masked in profiles/eapi-5-files instead
-IUSE="api debug doc flask +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen sdl static-libs system-ipxe system-qemu system-seabios"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- ipxe? ( rombios )
- ovmf? ( hvm )
- pygrub? ( python )
- rombios? ( hvm )
- system-ipxe? ( rombios )
- ?? ( ipxe system-ipxe )
- ?? ( qemu system-qemu )"
-
-COMMON_DEPEND="
- sys-apps/pciutils
- dev-libs/lzo:2
- dev-libs/glib:2
- dev-libs/yajl
- dev-libs/libaio
- dev-libs/libgcrypt:0
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-
-DEPEND="${COMMON_DEPEND}
- app-misc/pax-utils
- dev-lang/perl
- >=sys-kernel/linux-headers-4.11
- x11-libs/pixman
- $(python_gen_cond_dep '
- dev-python/lxml[${PYTHON_MULTI_USEDEP}]
- pam? ( dev-python/pypam[${PYTHON_MULTI_USEDEP}] )
- ')
- x86? ( sys-devel/dev86
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- sys-power/iasl )
- api? ( dev-libs/libxml2
- net-misc/curl )
-
- ovmf? (
- !arm? ( !arm64? ( dev-lang/nasm ) )
- $(python_gen_impl_dep sqlite)
- )
- !amd64? ( >=sys-apps/dtc-1.4.0 )
- amd64? ( sys-power/iasl
- system-seabios? ( sys-firmware/seabios )
- system-ipxe? ( sys-firmware/ipxe[qemu] )
- rombios? ( sys-devel/bin86 sys-devel/dev86 ) )
- doc? (
- app-text/ghostscript-gpl
- app-text/pandoc
- $(python_gen_cond_dep '
- dev-python/markdown[${PYTHON_MULTI_USEDEP}]
- ')
- dev-texlive/texlive-latexextra
- media-gfx/transfig
- )
- hvm? ( x11-base/xorg-proto )
- qemu? (
- app-arch/snappy:=
- sdl? (
- media-libs/libsdl[X]
- media-libs/libsdl2[X]
- )
- )
- system-qemu? ( app-emulation/qemu[xen] )
- ocaml? ( dev-ml/findlib
- >=dev-lang/ocaml-4 )
- python? ( >=dev-lang/swig-4.0.0 )"
-
-RDEPEND="${COMMON_DEPEND}
- sys-apps/iproute2[-minimal]
- net-misc/bridge-utils
- screen? (
- app-misc/screen
- app-admin/logrotate
- )"
-
-# hvmloader is used to bootstrap a fully virtualized kernel
-# Approved by QA team in bug #144032
-QA_WX_LOAD="
- usr/libexec/xen/boot/hvmloader
- usr/share/qemu-xen/qemu/hppa-firmware.img
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-QA_PREBUILT="
- usr/libexec/xen/bin/elf2dmp
- usr/libexec/xen/bin/ivshmem-client
- usr/libexec/xen/bin/ivshmem-server
- usr/libexec/xen/bin/qemu-edid
- usr/libexec/xen/bin/qemu-img
- usr/libexec/xen/bin/qemu-io
- usr/libexec/xen/bin/qemu-keymap
- usr/libexec/xen/bin/qemu-nbd
- usr/libexec/xen/bin/qemu-pr-helper
- usr/libexec/xen/bin/qemu-system-i386
- usr/libexec/xen/bin/virtfs-proxy-helper
- usr/libexec/xen/libexec/xen-bridge-helper
- usr/share/qemu-xen/qemu/s390-ccw.img
- usr/share/qemu-xen/qemu/s390-netboot.img
- usr/share/qemu-xen/qemu/u-boot.e500
-"
-
-RESTRICT="test"
-
-pkg_setup() {
- python_setup
- export "CONFIG_LOMOUNT=y"
-
- #bug 522642, disable compile tools/tests
- export "CONFIG_TESTS=n"
-
- if [[ -z ${XEN_TARGET_ARCH} ]] ; then
- if use x86 && use amd64; then
- die "Confusion! Both x86 and amd64 are set in your use flags!"
- elif use x86; then
- export XEN_TARGET_ARCH="x86_32"
- elif use amd64 ; then
- export XEN_TARGET_ARCH="x86_64"
- elif use arm; then
- export XEN_TARGET_ARCH="arm32"
- elif use arm64; then
- export XEN_TARGET_ARCH="arm64"
- else
- die "Unsupported architecture!"
- fi
- fi
-}
-
-src_prepare() {
- local i
-
- # Upstream's patchset
- if [[ -n ${UPSTREAM_VER} ]]; then
- einfo "Try to apply Xen Upstream patch set"
- eapply "${WORKDIR}"/patches-upstream
- fi
-
- # Security patchset
- if [[ -n ${SECURITY_VER} ]]; then
- einfo "Try to apply Xen Security patch set"
- # apply main xen patches
- # Two parallel systems, both work side by side
- # Over time they may concdense into one. This will suffice for now
- EPATCH_SUFFIX="patch"
- EPATCH_FORCE="yes"
-
- source "${WORKDIR}"/patches-security/${PV}.conf || die
-
- for i in ${XEN_SECURITY_MAIN}; do
- eapply "${WORKDIR}"/patches-security/xen/$i
- done
-
- # apply qemu-xen/upstream patches
- pushd "${S}"/tools/qemu-xen/ > /dev/null
- for i in ${XEN_SECURITY_QEMUU}; do
- eapply "${WORKDIR}"/patches-security/qemuu/$i
- done
- popd > /dev/null
-
- # apply qemu-traditional patches
- pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
- for i in ${XEN_SECURITY_QEMUT}; do
- eapply "${WORKDIR}"/patches-security/qemut/$i
- done
- popd > /dev/null
- fi
-
- # move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
- mv ../seabios-rel-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
- pushd tools/firmware/ > /dev/null
- ln -s seabios-dir-remote seabios-dir || die
- popd > /dev/null
-
- # Gentoo's patchset
- if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
- einfo "Try to apply Gentoo specific patch set"
- source "${FILESDIR}"/gentoo-patches.conf || die
- _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
- for i in ${!_gpv}; do
- eapply "${WORKDIR}"/patches-gentoo/$i
- done
- fi
-
- # Ovmf's patchset
- if use ovmf; then
- if [[ -n ${OVMF_VER} ]];then
- einfo "Try to apply Ovmf patch set"
- pushd "${WORKDIR}"/edk2-*/ > /dev/null
- eapply "${WORKDIR}"/patches-ovmf
- popd > /dev/null
- fi
- mv ../edk2-${EDK2_COMMIT} tools/firmware/ovmf-dir-remote || die
- rm -r tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- rm -r tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- rm -r tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- rm -r tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- mv ../openssl-OpenSSL_${EDK2_OPENSSL_VERSION} tools/firmware/ovmf-dir-remote/CryptoPkg/Library/OpensslLib/openssl || die
- mv ../berkeley-softfloat-3-${EDK2_SOFTFLOAT_COMMIT} tools/firmware/ovmf-dir-remote/ArmPkg/Library/ArmSoftFloatLib/berkeley-softfloat-3 || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/BaseTools/Source/C/BrotliCompress/brotli || die
- cp -r ../brotli-${EDK2_BROTLI_COMMIT} tools/firmware/ovmf-dir-remote/MdeModulePkg/Library/BrotliCustomDecompressLib/brotli || die
- cp tools/firmware/ovmf-makefile tools/firmware/ovmf-dir-remote/Makefile || die
- fi
-
- # ipxe
- if use ipxe; then
- cp "${DISTDIR}/ipxe-git-${IPXE_COMMIT}.tar.gz" tools/firmware/etherboot/_ipxe.tar.gz || die
-
- # gcc 10
- cp "${WORKDIR}/patches-gentoo/xen-tools-4.13.0-ipxe-gcc10.patch" tools/firmware/etherboot/patches/ipxe-gcc10.patch || die
- echo ipxe-gcc10.patch >> tools/firmware/etherboot/patches/series || die
- fi
-
- mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
-
- # Fix texi2html build error with new texi2html, qemu.doc.html
- sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
-
- use api || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
- sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
- -i tools/firmware/Makefile || die
-
- # Drop .config, fixes to gcc-4.6
- sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't drop"
-
- # drop flags
- unset CFLAGS
- unset LDFLAGS
- unset ASFLAGS
- unset CPPFLAGS
-
- if ! use pygrub; then
- sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
- fi
-
- if ! use python; then
- sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
- fi
-
- if ! use hvm; then
- sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
- # Bug 351648
- elif ! use x86 && ! has x86 $(get_all_abis); then
- mkdir -p "${WORKDIR}"/extra-headers/gnu || die
- touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
- export CPATH="${WORKDIR}"/extra-headers
- fi
-
- if use qemu; then
- if use sdl; then
- sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
- tools/Makefile || die
- else
- sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
- tools/qemu-xen-traditional/xen-setup || die
- sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
- tools/Makefile || die
- fi
- else
- # Don't bother with qemu, only needed for fully virtualised guests
- sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
- fi
-
- # Reset bash completion dir; Bug 472438
- sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
- -i Config.mk || die
- sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
-
- # xencommons, Bug #492332, sed lighter weight than patching
- sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
- -i tools/hotplug/Linux/init.d/xencommons.in || die
-
- # fix bashishm
- sed -e '/Usage/s/\$//g' \
- -i tools/hotplug/Linux/init.d/xendriverdomain.in || die
-
- # respect multilib, usr/lib/libcacard.so.0.0.0
- sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
- -i tools/qemu-xen/configure || die
-
- #bug 518136, don't build 32bit exactuable for nomultilib profile
- if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
- sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
- fi
-
- # uncomment lines in xl.conf
- sed -e 's:^#autoballoon=:autoballoon=:' \
- -e 's:^#lockfile=:lockfile=:' \
- -e 's:^#vif.default.script=:vif.default.script=:' \
- -i tools/examples/xl.conf || die
-
- # disable capstone (Bug #673474)
- sed -e "s:\$\$source/configure:\0 --disable-capstone:" \
- -i tools/Makefile || die
-
- # disable glusterfs
- sed -e "s:\$\$source/configure:\0 --disable-glusterfs:" \
- -i tools/Makefile || die
-
- default
-}
-
-src_configure() {
- local myconf="--prefix=${PREFIX}/usr \
- --libdir=${PREFIX}/usr/$(get_libdir) \
- --libexecdir=${PREFIX}/usr/libexec \
- --localstatedir=${EPREFIX}/var \
- --disable-werror \
- --disable-xen \
- --enable-tools \
- --enable-docs \
- $(use_enable api xenapi) \
- $(use_enable ipxe) \
- $(usex system-ipxe '--with-system-ipxe=/usr/share/ipxe' '') \
- $(use_enable ocaml ocamltools) \
- $(use_enable ovmf) \
- $(use_enable pam) \
- $(use_enable rombios) \
- --with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
- "
-
- use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
- use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
- use amd64 && myconf+=" $(use_enable qemu-traditional)"
- tc-ld-disable-gold # Bug 669570
- econf ${myconf}
-}
-
-src_compile() {
- local myopt
- use debug && myopt="${myopt} debug=y"
- use python && myopt="${myopt} XENSTAT_PYTHON_BINDINGS=y"
-
- if test-flag-CC -fno-strict-overflow; then
- append-flags -fno-strict-overflow
- fi
-
- emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" build-tools ${myopt}
-
- if use doc; then
- emake -C docs build
- else
- emake -C docs man-pages
- fi
-}
-
-src_install() {
- # Override auto-detection in the build system, bug #382573
- export INITD_DIR=/tmp/init.d
- export CONFIG_LEAF_DIR=../tmp/default
-
- # Let the build system compile installed Python modules.
- local PYTHONDONTWRITEBYTECODE
- export PYTHONDONTWRITEBYTECODE
-
- emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
- XEN_PYTHON_NATIVE_INSTALL=y install-tools
-
- # Created at runtime
- rm -rv "${ED}/var/run" || die
-
- # Fix the remaining Python shebangs.
- python_fix_shebang "${D}"
-
- # Remove RedHat-specific stuff
- rm -rf "${D}"/tmp || die
-
- if use doc; then
- emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
- dodoc -r docs/{pdf,txt}
- else
- emake -C docs DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-man-pages # Bug 668032
- fi
- dodoc ${DOCS[@]}
-
- newconfd "${FILESDIR}"/xendomains.confd xendomains
- newconfd "${FILESDIR}"/xenstored.confd xenstored
- newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
- newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
- newinitd "${FILESDIR}"/xenstored.initd-r1 xenstored
- newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
- newinitd "${FILESDIR}"/xencommons.initd xencommons
- newconfd "${FILESDIR}"/xencommons.confd xencommons
- newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
- newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
- newinitd "${FILESDIR}"/xen-watchdog.initd xen-watchdog
-
- if use screen; then
- cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
- cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
- keepdir /var/log/xen-consoles
- fi
-
- # For -static-libs wrt Bug 384355
- if ! use static-libs; then
- rm -f "${D}"/usr/$(get_libdir)/*.a "${D}"/usr/$(get_libdir)/ocaml/*/*.a
- fi
-
- # for xendomains
- keepdir /etc/xen/auto
-
- # Remove files failing QA AFTER emake installs them, avoiding seeking absent files
- find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
- -o -name openbios-ppc -o -name palcode-clipper \) -delete || die
-
- keepdir /var/lib/xen/dump
- keepdir /var/lib/xen/xenpaging
- keepdir /var/lib/xenstored
- keepdir /var/log/xen
-
- if use python; then
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/xenstat.py"
- python_domodule "${S}/tools/xenstat/libxenstat/bindings/swig/python/_xenstat.so"
- fi
-
- python_optimize
-}
-
-pkg_postinst() {
- elog "Official Xen Guide and the offical wiki page:"
- elog "https://wiki.gentoo.org/wiki/Xen"
- elog "https://wiki.xen.org/wiki/Main_Page"
- elog ""
- elog "Recommended to utilise the xencommons script to config system at boot"
- elog "Add by use of rc-update on completion of the install"
-
- if ! use hvm; then
- echo
- elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
- elog "support enable the hvm use flag."
- elog "An x86 or amd64 system is required to build HVM support."
- fi
-
- if use qemu; then
- elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
- elog "build of qemu. This allows for app-emulation/qemu to be emerged concurrently"
- elog "with the qemu capable xen. It is up to the user to distinguish between and utilise"
- elog "the qemu-bridge-helper and the xen-bridge-helper. File bugs of any issues that arise"
- fi
-}